reagent.model\_managers package
===============================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   reagent.model_managers.actor_critic
   reagent.model_managers.discrete
   reagent.model_managers.model_based
   reagent.model_managers.parametric
   reagent.model_managers.policy_gradient
   reagent.model_managers.ranking

Submodules
----------

reagent.model\_managers.actor\_critic\_base module
--------------------------------------------------

.. automodule:: reagent.model_managers.actor_critic_base
   :members:
   :undoc-members:
   :show-inheritance:

reagent.model\_managers.discrete\_dqn\_base module
--------------------------------------------------

.. automodule:: reagent.model_managers.discrete_dqn_base
   :members:
   :undoc-members:
   :show-inheritance:

reagent.model\_managers.model\_manager module
---------------------------------------------

.. automodule:: reagent.model_managers.model_manager
   :members:
   :undoc-members:
   :show-inheritance:

reagent.model\_managers.parametric\_dqn\_base module
----------------------------------------------------

.. automodule:: reagent.model_managers.parametric_dqn_base
   :members:
   :undoc-members:
   :show-inheritance:

reagent.model\_managers.slate\_q\_base module
---------------------------------------------

.. automodule:: reagent.model_managers.slate_q_base
   :members:
   :undoc-members:
   :show-inheritance:

reagent.model\_managers.union module
------------------------------------

.. automodule:: reagent.model_managers.union
   :members:
   :undoc-members:
   :show-inheritance:

reagent.model\_managers.world\_model\_base module
-------------------------------------------------

.. automodule:: reagent.model_managers.world_model_base
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: reagent.model_managers
   :members:
   :undoc-members:
   :show-inheritance:
